GNU bug report logs - #24482
25.1; font setting in ".emacs" is not respected

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: me@HIDDEN; merged with #25228, #26340; dated Tue, 20 Sep 2016 16:46:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 24482 <at> debbugs.gnu.org:


Received: (at 24482) by debbugs.gnu.org; 2 Sep 2017 14:01:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 02 10:01:29 2017
Received: from localhost ([127.0.0.1]:43502 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1do8zI-0002gM-SA
	for submit <at> debbugs.gnu.org; Sat, 02 Sep 2017 10:01:29 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57274)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1do8zH-0002bN-KS
 for 24482 <at> debbugs.gnu.org; Sat, 02 Sep 2017 10:01:27 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1do8z8-0002eq-4E
 for 24482 <at> debbugs.gnu.org; Sat, 02 Sep 2017 10:01:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50304)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1do8yy-0002JQ-2K; Sat, 02 Sep 2017 10:01:08 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2236
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1do8yx-00055X-Dn; Sat, 02 Sep 2017 10:01:07 -0400
Date: Sat, 02 Sep 2017 17:00:59 +0300
Message-Id: <831snpyzc4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: npostavs@HIDDEN
In-reply-to: <87eftfbzll.fsf@HIDDEN>
 (npostavs@HIDDEN)
Subject: Re: bug#24482: 25.1; font setting in ".emacs" is not respected
References: <16a017c0-d910-c472-161c-080a7912ce65@HIDDEN>
 <87eftfbzll.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 24482
Cc: me@HIDDEN, 24482 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

unblock 24655 by 24482
thanks

> From: npostavs@HIDDEN
> Date: Sun, 16 Jul 2017 21:51:02 -0400
> Cc: 24482 <at> debbugs.gnu.org
> 
> > After I restart Emacs, the font shown is not the font I chose. Actually,
> > I see how Emacs changes the font I chose to another font promptly.
> >
> > This bug appeared after upgrading from 24.5 to 25.1.
> 
> Possible workarounds are
> 
>     (define-key special-event-map [config-changed-event] #'ignore)
> 
> or
> 
>     (advice-add 'dynamic-setting-handle-config-changed-event :override #'ignore)

With workarounds available, and no GTK expert on board to help us find
a better fix, I don't think this problem should block the release of
Emacs 26.1.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24482; Package emacs. Full text available.
Merged 24482 25228 26340. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 24482 <at> debbugs.gnu.org:


Received: (at 24482) by debbugs.gnu.org; 17 Jul 2017 01:49:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 16 21:49:39 2017
Received: from localhost ([127.0.0.1]:42956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dWvAI-0005md-W7
	for submit <at> debbugs.gnu.org; Sun, 16 Jul 2017 21:49:39 -0400
Received: from mail-io0-f182.google.com ([209.85.223.182]:36699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1dWvAF-0005mI-Hn; Sun, 16 Jul 2017 21:49:36 -0400
Received: by mail-io0-f182.google.com with SMTP id z62so36211128ioi.3;
 Sun, 16 Jul 2017 18:49:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=D8FOQVokOgtGATLhR+dOxT0n2Ib+FnXIt/a9nBCaPs0=;
 b=EjV26j9ZmPqMlWBX5ueUidHFUBRbJyohcGsHHpgG+TdSTF9nP/elaCGfS2JgmI1PL6
 j0urbeN6HpiHu3P5+ctQrjE+0rL3EpTu6N/mDyrwpgAcBi6ktmMhCsKA9OHe4ydovtfs
 2EXu9yQroC5No08qpJaLj4acZ/4BQv0+GY9ARXWsA8Tfajf8Wj95+HF243B4xUfCCd0k
 1CnlEgxqJavcQv19ILAVk9eiWll9B0PhiCKWjjdw4f9TEiTKVdVT3ymcdBj3folKl/ku
 PCJImriYKxoFcvSxfF7qI0793YCeFpZawGPxa4gPlssg48vXmpCUc0dq5mFRiNBUBJnJ
 w6TA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=D8FOQVokOgtGATLhR+dOxT0n2Ib+FnXIt/a9nBCaPs0=;
 b=ggWzR9JCdx9M0+atdo9iYucvyNHwCeXgt8LU//rudaMYrKG1zQzziNDN+gRQq6/k7t
 5BPuE9RVHS49ZQ/XBw47wwTyLYLnKwtBdSr0VR96ZgCLrly+ObsNM84ltZBrP38yV5zQ
 ezE+BkTJPwEXo4d4GtbGzTwL/cN+5O8zGBpcEzhZUzA8ghs8GXCVikgGZExpMMX2xLzs
 KZA4X+uYNwsqdo4KnDc5EFUxXFNoma2h1if4Grf8hjHh72lANvEMhP+2VK9v/5bEveL9
 TUy4QZ3M7aO+8RE3iw3W3sAFwUUYh200HSp1HAgK3QDVppW3/8DwNMVKKGlC6vWTLzGP
 YmIA==
X-Gm-Message-State: AIVw1120O+f/8qC1eyCGkRrz5KI1NgCQIhrLQMgW/U6OdGmmBTbnBm6w
 IkI3paNxhgvCJiu5
X-Received: by 10.107.180.18 with SMTP id d18mr19870078iof.183.1500256169750; 
 Sun, 16 Jul 2017 18:49:29 -0700 (PDT)
Received: from zony ([45.2.7.65])
 by smtp.googlemail.com with ESMTPSA id b17sm6098962itd.0.2017.07.16.18.49.28
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 16 Jul 2017 18:49:28 -0700 (PDT)
From: npostavs@HIDDEN
To: me@HIDDEN
Subject: Re: bug#24482: 25.1; font setting in ".emacs" is not respected
References: <16a017c0-d910-c472-161c-080a7912ce65@HIDDEN>
Date: Sun, 16 Jul 2017 21:51:02 -0400
In-Reply-To: <16a017c0-d910-c472-161c-080a7912ce65@HIDDEN>
 (me@HIDDEN's message of "Tue, 20 Sep 2016 19:24:53 +0300")
Message-ID: <87eftfbzll.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 24482
Cc: 24482 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

merge 24482 25228
quit

me@HIDDEN writes:

> I change the default font via "Easy Customization" and save it. The
> contents of the file
> ".emacs" is below.
> {{{
> (custom-set-variables
>  ;; custom-set-variables was added by Custom.
>  ;; If you edit it by hand, you could mess it up, so be careful.
>  ;; Your init file should contain only one such instance.
>  ;; If there is more than one, they won't work right.
>  )
> (custom-set-faces
>  ;; custom-set-faces was added by Custom.
>  ;; If you edit it by hand, you could mess it up, so be careful.
>  ;; Your init file should contain only one such instance.
>  ;; If there is more than one, they won't work right.
>  '(default ((t (:family "Nimbus Roman" :foundry "UKWN" :slant normal
> :weight normal :height 201 :width normal)))))
> }}}
>
> After I restart Emacs, the font shown is not the font I chose. Actually,
> I see how Emacs changes the font I chose to another font promptly.
>
> This bug appeared after upgrading from 24.5 to 25.1.

Possible workarounds are

    (define-key special-event-map [config-changed-event] #'ignore)

or

    (advice-add 'dynamic-setting-handle-config-changed-event :override #'ignore)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24482; Package emacs. Full text available.
Added indication that bug 24482 blocks24655 Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed indication that bug 24482 blocks Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24482 <at> debbugs.gnu.org:


Received: (at 24482) by debbugs.gnu.org; 20 Sep 2016 18:09:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 20 14:09:17 2016
Received: from localhost ([127.0.0.1]:58461 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bmPTp-0000jZ-Jo
	for submit <at> debbugs.gnu.org; Tue, 20 Sep 2016 14:09:17 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:31730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1bmPTn-0000jH-Pn
 for 24482 <at> debbugs.gnu.org; Tue, 20 Sep 2016 14:09:16 -0400
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u8KI95F5032028
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Tue, 20 Sep 2016 18:09:06 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by aserv0021.oracle.com (8.13.8/8.13.8) with ESMTP id u8KI94LL001942
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Tue, 20 Sep 2016 18:09:05 GMT
Received: from abhmp0013.oracle.com (abhmp0013.oracle.com [141.146.116.19])
 by userv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u8KI8wtJ004384;
 Tue, 20 Sep 2016 18:09:04 GMT
MIME-Version: 1.0
Message-ID: <33e3a47e-dcbf-49ca-9a60-66af41becd2f@default>
Date: Tue, 20 Sep 2016 11:08:52 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>, me@HIDDEN, 24482 <at> debbugs.gnu.org
Subject: RE: bug#24482: 25.1; font setting in ".emacs" is not respected
References: <16a017c0-d910-c472-161c-080a7912ce65@HIDDEN>
 <57E16D01.6090607@HIDDEN>
In-Reply-To: <57E16D01.6090607@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 24482
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)

>  > This bug appeared after upgrading from 24.5 to 25.1.
>=20
> See the thread "Note on e65c307 breaks font-height" on emacs-devel.

This is the thread, in case it helps someone:
http://lists.gnu.org/archive/html/emacs-devel/2016-05/msg00557.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24482; Package emacs. Full text available.
Added indication that bug 24482 blocks21966 Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24482 <at> debbugs.gnu.org:


Received: (at 24482) by debbugs.gnu.org; 20 Sep 2016 17:08:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 20 13:08:36 2016
Received: from localhost ([127.0.0.1]:58418 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bmOX6-00066h-2m
	for submit <at> debbugs.gnu.org; Tue, 20 Sep 2016 13:08:36 -0400
Received: from mout.gmx.net ([212.227.15.15]:54405)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1bmOX4-00066S-DT
 for 24482 <at> debbugs.gnu.org; Tue, 20 Sep 2016 13:08:34 -0400
Received: from [192.168.1.100] ([212.95.7.4]) by mail.gmx.com (mrgmx001) with
 ESMTPSA (Nemesis) id 0LyEJp-1as4Qo2nTx-015XIx;
 Tue, 20 Sep 2016 19:08:27 +0200
Message-ID: <57E16D01.6090607@HIDDEN>
Date: Tue, 20 Sep 2016 19:08:17 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: me@HIDDEN, 24482 <at> debbugs.gnu.org
Subject: Re: bug#24482: 25.1; font setting in ".emacs" is not respected
References: <16a017c0-d910-c472-161c-080a7912ce65@HIDDEN>
In-Reply-To: <16a017c0-d910-c472-161c-080a7912ce65@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:+npvcrX3jMllXwOb65ZJxUfJHWKF3M1PSDrSMC9RinEnXiXxt5j
 BWt77oMZwVhDrLa6lf9S3ws4gtzG3LvA6BIUkFZHojf9nwoeDqC771P0BzfrY9f1SVzuJkX
 60P+3AuCjbcQsDlKW9xk4cRZjEzCopuKmKmZjdnkzQ39vuJdMskOiNX57X+UnE1vbq8c1Ka
 2wlw+u5gPkmYkZfA/bvSQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:31n0yQvjOfE=:zOQEfXFFUPd3xXlgXRyoAz
 B4cTZ8Ly6TybQi4co666uUNWJogq/95CVOJP3aWZBk0RLtHZ8LNgxCyb9xxBSlarBTCJ8tr/f
 YHLj9nOxONkJdeEptygceJSCrVYUinX13xkzSzAQ0A2xndcEiUjFq455H/6MFte9UcSndsHd8
 CNSmnROzv/+Y4t7eEKXmvNsIf0bvRmC60uGxA2drMW+oAx+rSiPo7haSS6N2+WAft0E0aWF8a
 CnJppcPXtv2Y8AJJAvkUhDMAl2vWC/e9/kxSCLVV2WS5O7tacrm+Ggl+IvSX2CKD45Vp13Pem
 skZVnGitc/GWhevX1CufdXd8K6eMAd02j9879/gv8fHrBrEK6PhLrzh0ZTwz+XL0FbmuNZbq9
 cZ/hefOOUQO680b0u3U4KFS1FUHGeltksai4Y6o60JptSVFNafeMMltyCgQ+1f2HdOXI6/5aS
 +V8aAEtIqkDgQENck+xrEJwAUcr3NstxHTb5pRvVixiI3FW4t3UJQiY40Ku1xCHee8vKvOzff
 hDVnOpj8FbiG5JOymIdyrjQqKT5nSsmOB3NcaGvQUItp0Teu0HxS1heRnYUernjDRtzG9OFV0
 FqGCq7iEkUbX2vx1dMHw/fGUILnj+//wdak9uSnXYKJFe9CZGRhyADR7MPY7KyXpNUMn8XqiO
 kgiSgGKrTYT8bvphQiaY8umNLBz9yWs8wpalvKz6OEOlaoK5m/scXSXrHu1e2J3MZUxVycpRY
 2toVmn8sN1v28VWW0C3UZC0II3JhESu9PPq2DZrbj3T4qGkQXVkMOg+mdPcS8nuSyFmkJQMF9
 eVSHenxmN5Vmeamd8Z0PExMzzkIlA==
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > I change the default font via "Easy Customization" and
 save it. The contents of the file > ".emacs" is below. > {{{ >
 (custom-set-variables
 > ;; custom-set-variables was added by Custom. > ;; If you edit it by hand,
 you could mess it up, so be careful. > ;; Your init file should contain only
 one such instance. > ;; If there is more than one, they won't work right.
 > ) > (custom-set-faces > ;; custom-set-faces was added by Custom. > ;; If
 you edit it by hand, you could mess it up, so be careful. > ;; Your init
 file should contain only one such instance. > ;; If there is more than one,
 they won't work right. > '(default ((t (:family "Nimbus Roman" :foundry "UKWN"
 :slant normal :weight normal :height 201 :width normal))))) > }}} > > After
 I restart Emacs, the font shown is not the font I chose. Actually, > I see
 how Emacs changes the font I chose to another font promptly. > > This bug
 appeared after upgrading from 24.5 to 25.1. [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [212.95.7.4 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.15.15 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.15 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 24482
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > I change the default font via "Easy Customization" and
   save it. The contents of the file > ".emacs" is below. > {{{ > (custom-set-variables
    > ;; custom-set-variables was added by Custom. > ;; If you edit it by hand,
    you could mess it up, so be careful. > ;; Your init file should contain only
    one such instance. > ;; If there is more than one, they won't work right.
    > ) > (custom-set-faces > ;; custom-set-faces was added by Custom. > ;; If
    you edit it by hand, you could mess it up, so be careful. > ;; Your init
   file should contain only one such instance. > ;; If there is more than one,
    they won't work right. > '(default ((t (:family "Nimbus Roman" :foundry "UKWN"
    :slant normal :weight normal :height 201 :width normal))))) > }}} > > After
    I restart Emacs, the font shown is not the font I chose. Actually, > I see
    how Emacs changes the font I chose to another font promptly. > > This bug
    appeared after upgrading from 24.5 to 25.1. [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.15 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.15.15 listed in list.dnswl.org]
  3.6 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [212.95.7.4 listed in dnsbl.sorbs.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)

 > I change the default font via "Easy Customization" and save it. The contents of the file
 > ".emacs" is below.
 > {{{
 > (custom-set-variables
 >   ;; custom-set-variables was added by Custom.
 >   ;; If you edit it by hand, you could mess it up, so be careful.
 >   ;; Your init file should contain only one such instance.
 >   ;; If there is more than one, they won't work right.
 >   )
 > (custom-set-faces
 >   ;; custom-set-faces was added by Custom.
 >   ;; If you edit it by hand, you could mess it up, so be careful.
 >   ;; Your init file should contain only one such instance.
 >   ;; If there is more than one, they won't work right.
 >   '(default ((t (:family "Nimbus Roman" :foundry "UKWN" :slant normal :weight normal :height 201 :width normal)))))
 > }}}
 >
 > After I restart Emacs, the font shown is not the font I chose. Actually,
 > I see how Emacs changes the font I chose to another font promptly.
 >
 > This bug appeared after upgrading from 24.5 to 25.1.

See the thread "Note on e65c307 breaks font-height" on emacs-devel.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24482; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Sep 2016 16:45:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 20 12:45:54 2016
Received: from localhost ([127.0.0.1]:58405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bmOB7-0005YJ-Sg
	for submit <at> debbugs.gnu.org; Tue, 20 Sep 2016 12:45:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45633)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1bmOAh-0005XG-VC
 for submit <at> debbugs.gnu.org; Tue, 20 Sep 2016 12:45:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <me@HIDDEN>) id 1bmOAb-00012u-JA
 for submit <at> debbugs.gnu.org; Tue, 20 Sep 2016 12:45:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.3 required=5.0 tests=BAYES_50,
 RECEIVED_FROM_WINDOWS_HOST autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59075)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <me@HIDDEN>) id 1bmOAb-00012e-Fa
 for submit <at> debbugs.gnu.org; Tue, 20 Sep 2016 12:45:21 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:36577)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <me@HIDDEN>) id 1bmOAX-0008Qu-JM
 for bug-gnu-emacs@HIDDEN; Tue, 20 Sep 2016 12:45:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <me@HIDDEN>) id 1bmOAS-00010F-Ki
 for bug-gnu-emacs@HIDDEN; Tue, 20 Sep 2016 12:45:17 -0400
Received: from smtp-1.1gb.com.ua ([195.234.4.10]:25195 helo=u1.1gb.ua)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <me@HIDDEN>) id 1bmOAS-0000yU-81
 for bug-gnu-emacs@HIDDEN; Tue, 20 Sep 2016 12:45:12 -0400
Received: from Spooler by u1.1gb.ua (Mercury/32 v4.52) ID MO006F20;
 20 Sep 2016 19:45:12 +0300
Received: from spooler by mail-u1-robots.in-solve.hidden (Mercury/32 v4.52);
 20 Sep 2016 19:24:59 +0300
Received: from ul1.1gb.ua (195.234.4.24) by smtp-1.1gb.com.ua (Mercury/32
 v4.52) with ESMTP ID MG006F1F; 20 Sep 2016 19:24:54 +0300
Received: from [192.162.141.53] ([192.162.141.53]) (authenticated bits=0)
 by ul1.1gb.ua (8.14.9/8.14.0) with ESMTP id u8KGOrDl012125
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NO)
 for <bug-gnu-emacs@HIDDEN>; Tue, 20 Sep 2016 19:24:54 +0300
To: bug-gnu-emacs@HIDDEN
From: me@HIDDEN
Subject: 25.1; font setting in ".emacs" is not respected
Message-ID: <16a017c0-d910-c472-161c-080a7912ce65@HIDDEN>
Date: Tue, 20 Sep 2016 19:24:53 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.3.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Windows XP
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 20 Sep 2016 12:45:53 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--text follows this line--

I change the default font via "Easy Customization" and save it. The 
contents of the file
".emacs" is below.
{{{
(custom-set-variables
  ;; custom-set-variables was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
  )
(custom-set-faces
  ;; custom-set-faces was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
  '(default ((t (:family "Nimbus Roman" :foundry "UKWN" :slant normal 
:weight normal :height 201 :width normal)))))
}}}

After I restart Emacs, the font shown is not the font I chose. Actually,
I see how Emacs changes the font I chose to another font promptly.

This bug appeared after upgrading from 24.5 to 25.1.



In GNU Emacs 25.1.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.20.9)
  of 2016-09-18 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
Configured using:
  'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
  --localstatedir=/var --with-x-toolkit=gtk3 --with-xft
  'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe
  -fstack-protector-strong' CPPFLAGS=-D_FORTIFY_SOURCE=2
  LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
   value of $LANG: uk_UA.utf8
   locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   buffer-read-only: t
   line-number-mode: t
   transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message idna dired format-spec rfc822
mml mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode easymenu
cl-loaddefs pcase cl-lib mail-prsvr mail-utils time-date mule-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 89255 4158)
  (symbols 48 19778 0)
  (miscs 40 99 121)
  (strings 32 14457 4856)
  (string-bytes 1 414237)
  (vectors 16 11874)
  (vector-slots 8 436804 4847)
  (floats 8 164 55)
  (intervals 56 243 13)
  (buffers 976 20))





Acknowledgement sent to me@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24482; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 2 Sep 2017 14:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.